%define	module	Digest-SHA
%define	name	perl-%{module}
%define	modprefix Digest
%define	version	5.47
%define	release	%mkrel 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl extension for SHA-1/224/256/384/512
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source:		http://www.cpan.org/modules/by-module/%{modprefix}/%{module}-%{version}.tar.bz2
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Digest::SHA is a complete implementation of the NIST Secure Hash Standard. It
gives Perl programmers a convenient way to calculate SHA-1, SHA-224, SHA-256,
SHA-384, and SHA-512 message digests.  The module can handle all types of
input, including partial-byte data.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make CFLAGS="%{optflags}"

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorarch}/%{modprefix}
%{perl_vendorarch}/auto/%{modprefix}
%{_mandir}/*/*
%{_bindir}/shasum




%changelog
* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 5.47-2mdv2009.0
+ Revision: 265357
- rebuild early 2009.0 package (before pixel changes)

* Tue May 06 2008 Guillaume Rousse <guillomovitch@mandriva.org> 5.47-1mdv2009.0
+ Revision: 201852
- update to new version 5.47

* Wed Apr 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 5.46-1mdv2009.0
+ Revision: 194850
- update to new version 5.46
- update to new version 5.46

* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 5.45-2mdv2008.1
+ Revision: 152067
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Jul 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 5.45-1mdv2008.0
+ Revision: 46523
- update to new version 5.45


* Thu Nov 23 2006 Guillaume Rousse <guillomovitch@mandriva.org> 5.44-1mdv2007.0
+ Revision: 86575
- new version
- Import perl-Digest-SHA

* Sat Aug 26 2006 Guillaume Rousse <guillomovitch@mandriva.org> 5.43-1mdv2007.0
- New version 5.43

* Tue Aug 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 5.42-1mdv2007.0
- New version 5.42

* Wed Jun 07 2006 Guillaume Rousse <guillomovitch@mandriva.org> 5.41-1mdv2007.0
- New release 5.41
- HTTP source URL

* Mon May 29 2006 Scott Karns <scottk@mandriva.org> 5.39-1mdv2007.0
- New release 5.39

* Fri May 26 2006 Scott Karns <scottk@mandriva.org> 5.38-1mdv2007.0
- New release 5.38
- Removed BuildRequires perl(Module::Build)

* Thu May 18 2006 Guillaume Rousse <guillomovitch@mandriva.org> 5.37-1mdk
- New release 5.37

* Mon May 08 2006 Scott Karns <scottk@mandriva.org> 5.36-1mdk
- New release 5.36

* Thu Feb 09 2006 Guillaume Rousse <guillomovitch@mandriva.org> 5.34-1mdk
- New release 5.34
- fix optimisations

* Wed Dec 14 2005 Guillaume Rousse <guillomovitch@mandriva.org> 5.32-1mdk
- New release 5.32
- spec cleanup
- fix directory ownership
- better summary

* Thu Sep 22 2005 Guillaume Rousse <guillomovitch@mandriva.org> 5.31-1mdk
- New release 5.31

* Fri Sep 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 5.30-1mdk
- 5.30

* Wed Aug 17 2005 Guillaume Rousse <guillomovitch@mandriva.org> 5.29-1mdk
- new version
- fix sources url for rpmbuildupdate

* Thu Jul 21 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 5.28-1mdk
- 5.28

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 5.26-1mdk
- initial Mandriva package

